Show / Hide Table of Contents

# Class OpenIddictServerFactory

##### Inheritance

System.Object
OpenIddictServerFactory

##### Implements

IOpenIddictServerFactory

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerFactory : IOpenIddictServerFactory

### Constructors

#### OpenIddictServerFactory(ILogger<OpenIddictServerDispatcher>, IOptionsMonitor<OpenIddictServerOptions>)

Creates a new instance of the OpenIddictServerDispatcher class.

##### Declaration

    public OpenIddictServerFactory(ILogger<OpenIddictServerDispatcher> logger, IOptionsMonitor<OpenIddictServerOptions> options)

##### Parameters

Type | Name | Description
--- | --- | ---
ILogger<OpenIddictServerDispatcher> | logger |
IOptionsMonitor<OpenIddictServerOptions> | options |

### Methods

#### CreateTransactionAsync()

##### Declaration

    public ValueTask<OpenIddictServerTransaction> CreateTransactionAsync()

##### Returns

Type | Description
--- | ---
ValueTask<OpenIddictServerTransaction> |

### Implements

IOpenIddictServerFactory